For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • POSTCreate an Onboarding
      • GETGet an Onboarding by Merchant Reference
      • GETGet an Onboarding by Onboarding ID
      • PUTUpdate an Onboarding
      • GETGet Activations
      • Capabilities
      • Channel
      • Owner
      • Business
      • Onboarding
      • PostOnboardingResponse
      • OnboardingPostPut
LogoLogo
Reference - Partner APIOnboardings

Update an Onboarding

PUT
/v1/onboardings/:onboardingId
PUT
/v1/onboardings/:onboardingId
$curl -X PUT https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "merchantCountry": "US",
> "merchantReference": "merchantId1234",
> "parameters": {
> "settlementContractId": "0xt5txyloqru4vx5XuQ88W",
> "business": {
> "email": "merchant123@email.com",
> "legalBusinessName": "Merchant Business LLC",
> "tradingName": "Merchant Trading",
> "customerSupportPhoneNumber": "+1999999999",
> "tradingCountry": "US",
> "merchantCategoryCode": "5826",
> "address": {}
> }
> }
>}'
1{
2 "onboardingId": "123abcd-456efgh-1124bd",
3 "timestamp": "2024-02-21T10:21:36.949Z",
4 "merchantReference": "merchantId1234",
5 "parentMerchantReference": "merchantPlatform",
6 "status": "APPROVED"
7}
Allows a partner to update onboarding details using the onboardingId. For secondary rate updates please see the Rates page in the Capabilities API section.
Was this page helpful?
Previous

Get Activations

Next
Built with

Path parameters

onboardingIdstringRequired
The ID returned during a successful Create an onboarding call.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Request

This endpoint expects an object.
merchantCountrystringRequired

Country code in the two-letter ISO 3166-1 alpha-2 standard format, defining the consumer market where the merchant will sell goods or services.

merchantReferencestringRequired

Unique ID for the merchant in the partner’s internal systems to index to Afterpay’s Merchant ID (MID).

parametersobjectRequired
Settlement contract, business, and channel details.
parentMerchantReferencestringOptional
Unique ID for the platform of the merchant in the partner's internal systems to index to merchantReference.

Response

Onboarding updated successfully.
onboardingIdstring
The ID that can be used to update merchant's configs and get an onboarding status.
timestampstring
Timestamp of the response.
merchantReferencestring

Unique ID for the merchant in the partner’s internal systems to index to Afterpay’s Merchant ID (MID).

parentMerchantReferencestring
Unique ID for the platform of the merchant in the partner's internal systems to index to merchantReference.
statusstring
Onboarding approval status.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
503
Service Unavailable Error